Mailinglist Archive: opensuse-bugs (4251 mails)

< Previous Next >
[Bug 1038541] New: VUL-0: CVE-2017-7698: swftools: pdf2swf: denial of service (application crash) via a malformed PDF document
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Wed, 10 May 2017 18:07:22 +0000
  • Message-id: <bug-1038541-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1038541


Bug ID: 1038541
Summary: VUL-0: CVE-2017-7698: swftools: pdf2swf: denial of
service (application crash) via a malformed PDF
document
Classification: openSUSE
Product: openSUSE Distribution
Version: Leap 42.2
Hardware: Other
OS: Other
Status: NEW
Severity: Normal
Priority: P5 - None
Component: Security
Assignee: security-team@xxxxxxx
Reporter: mikhail.kasimov@xxxxxxxxx
QA Contact: qa-bugs@xxxxxxx
Found By: ---
Blocker: ---

Ref: https://nvd.nist.gov/vuln/detail/CVE-2017-7698
====================================================
Description

A Use After Free in the pdf2swf part of swftools 0.9.2 and earlier allows
remote attackers to cause a denial of service (application crash) or possibly
have unspecified other impact via a malformed PDF document, possibly a
consequence of an error in Gfx.cc in Xpdf 3.02.
====================================================

Hyperlink

[1] https://github.com/matthiaskramm/swftools/pull/19

[2] Fix for CVE-2017-7698:
https://github.com/matthiaskramm/swftools/pull/19/commits/54ea46ce09ab2be15901240bf233845c92bf04af

(open-)SUSE: https://software.opensuse.org/package/swftools

0.9.2 (TW, 42.{1,2}, official repo)

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
Follow Ups